## fteqcc 2352

=== Makefile ===
QCC_OBJS=qccmain.o qcc_cmdlib.o qcc_pr_comp.o qcc_pr_lex.o comprout.o hash.o qcd_main.o
GTKGUI_OBJS=qcc_gtk.o qccguistuff.c

CC=gcc -Wall -DQCCONLY

DO_CC=$(CC) $(BASE_CFLAGS) -DUSEGUI -o $@ -c $< $(CFLAGS)

all: qcc

BASE_CFLAGS=-ggdb
CFLAGS =


win_nocyg: $(QCC_OBJS) qccgui.c qccguistuff.c
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) -mno-cygwin -mwindows
nocyg: $(QCC_OBJS) qccgui.c qccguistuff.c
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) -mno-cygwin
win: $(QCC_OBJS) qccgui.c qccguistuff.c
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) -mwindows
qcc: $(QCC_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.bin -O3 -s $(QCC_OBJS)

qccmain.o: qccmain.c qcc.h
	$(DO_CC)

qcc_cmdlib.o: qcc_cmdlib.c qcc.h
	$(DO_CC)

qcc_pr_comp.o: qcc_pr_comp.c qcc.h
	$(DO_CC)

qcc_pr_lex.o: qcc_pr_lex.c qcc.h
	$(DO_CC)

comprout.o: comprout.c qcc.h
	$(DO_CC)

hash.o: hash.c qcc.h
	$(DO_CC)

qcd_main.o: qcd_main.c qcc.h
	$(DO_CC)

qccguistuff.o: qccguistuff.c qcc.h
	$(DO_CC)

qcc_gtk.o: qcc_gtk.c qcc.h
	$(DO_CC) `pkg-config --cflags gtk+-2.0`

gtkgui: $(QCC_OBJS) $(GTKGUI_OBJS)
	$(CC) $(BASE_CFLAGS) -DQCCONLY -DUSEGUI -o fteqccgui.bin -O3 $(GTKGUI_OBJS) $(QCC_OBJS) `pkg-config --libs gtk+-2.0`

## fteqcc 2666

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,17 @@
 QCC_OBJS=qccmain.o qcc_cmdlib.o qcc_pr_comp.o qcc_pr_lex.o comprout.o hash.o qcd_main.o
 GTKGUI_OBJS=qcc_gtk.o qccguistuff.c
+LIB_OBJS=
 
 CC=gcc -Wall -DQCCONLY
 
-DO_CC=$(CC) $(BASE_CFLAGS) -DUSEGUI -o $@ -c $< $(CFLAGS)
+DO_CC=$(CC) $(BASE_CFLAGS) -o $@ -c $< $(CFLAGS)
 
 all: qcc
 
 BASE_CFLAGS=-ggdb
 CFLAGS =
 
+lib: 
 
 win_nocyg: $(QCC_OBJS) qccgui.c qccguistuff.c
 	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) -mno-cygwin -mwindows

## fteqcc 3343

=== Makefile ===
QCC_OBJS=qccmain.o qcc_cmdlib.o qcc_pr_comp.o qcc_pr_lex.o comprout.o hash.o qcd_main.o
GTKGUI_OBJS=qcc_gtk.o qccguistuff.o
WIN32GUI_OBJS=qccgui.o qccguistuff.o
LIB_OBJS=

CC=gcc -Wall

DO_CC=$(CC) $(BASE_CFLAGS) -o $@ -c $< $(CFLAGS)

all: qcc

USEGUI_CFLAGS=
# set to -DUSEGUI when compiling the GUI
BASE_CFLAGS=-ggdb -DQCCONLY $(USEGUI_CFLAGS)

lib: 

R_win_nocyg: $(QCC_OBJS) $(WIN32GUI_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) $(WIN32GUI_OBJS) -mno-cygwin -mwindows -lcomctl32
R_nocyg: $(QCC_OBJS) $(WIN32GUI_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) $(WIN32GUI_OBJS) -mno-cygwin -lcomctl32
R_win: $(QCC_OBJS) $(WIN32GUI_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) $(WIN32GUI_OBJS) -mwindows -lcomctl32
win_nocyg:
	$(MAKE) USEGUI_CFLAGS=-DUSEGUI R_win_nocyg
nocyg:
	$(MAKE) USEGUI_CFLAGS=-DUSEGUI R_nocyg
win:
	$(MAKE) USEGUI_CFLAGS=-DUSEGUI R_win

qcc: $(QCC_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.bin -O3 -s $(QCC_OBJS)

qccmain.o: qccmain.c qcc.h
	$(DO_CC)

qcc_cmdlib.o: qcc_cmdlib.c qcc.h
	$(DO_CC)

qcc_pr_comp.o: qcc_pr_comp.c qcc.h
	$(DO_CC)

qcc_pr_lex.o: qcc_pr_lex.c qcc.h
	$(DO_CC)

comprout.o: comprout.c qcc.h
	$(DO_CC)

hash.o: hash.c qcc.h
	$(DO_CC)

qcd_main.o: qcd_main.c qcc.h
	$(DO_CC)

qccguistuff.o: qccguistuff.c qcc.h
	$(DO_CC)

qcc_gtk.o: qcc_gtk.c qcc.h
	$(DO_CC) `pkg-config --cflags gtk+-2.0`

R_gtkgui: $(QCC_OBJS) $(GTKGUI_OBJS)
	$(CC) $(BASE_CFLAGS) -DQCCONLY -DUSEGUI -o fteqccgui.bin -O3 $(GTKGUI_OBJS) $(QCC_OBJS) `pkg-config --libs gtk+-2.0`
gtkgui:
	$(MAKE) USEGUI_CFLAGS=-DUSEGUI R_gtkgui

clean:
	$(RM) fteqcc.bin fteqcc.exe $(QCC_OBJS) $(GTKGUI_OBJS) $(WIN32GUI_OBJS)

## fteqcc 3343%2Bsvn3400

=== debian/control ===
Source: fteqcc
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>
Build-Depends: debhelper-compat (= 12)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://fteqw.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/fteqcc
Vcs-Git: https://salsa.debian.org/games-team/fteqcc.git

Package: fteqcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FTE QuakeC compiler
 fteqcc compiles QuakeC source code to binary, platform-independent
 code that Quake based engines can interpret. QuakeC is the language
 that Quake game logic is developed in and is used for developing
 modifications.
 .
 FTE QCC supports Quake1, QuakeWorld, Hexen2 and FTE Quake, 64bit
 architectures and multithreading.

=== debian/watch ===
version=3
http://sf.net/fteqw/fteqcc(.*)-linux\.tar\.gz

## fteqcc 3343+svn3400

=== Makefile ===
COMMON_OBJS=comprout.o hash.o qcc_cmdlib.o qcd_main.o
QCC_OBJS=qccmain.o qcc_pr_comp.o qcc_pr_lex.o
VM_OBJS=pr_exec.o pr_edict.o pr_multi.o initlib.o qcdecomp.o
GTKGUI_OBJS=qcc_gtk.o qccguistuff.o
WIN32GUI_OBJS=qccgui.o qccguistuff.o
TUI_OBJS=qcctui.o
LIB_OBJS=

CC=gcc -Wall

all: qcc

USEGUI_CFLAGS=
# set to -DUSEGUI when compiling the GUI
BASE_CFLAGS=-ggdb $(USEGUI_CFLAGS)

DO_CC=$(CC) $(BASE_CFLAGS) -o $@ -c $< $(CFLAGS)

lib: 

R_win_nocyg: $(QCC_OBJS) $(COMMON_OBJS) $(WIN32GUI_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) $(COMMON_OBJS) $(WIN32GUI_OBJS) -mno-cygwin -mwindows -lcomctl32
R_nocyg: $(QCC_OBJS) $(COMMON_OBJS) $(WIN32GUI_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) $(COMMON_OBJS) $(WIN32GUI_OBJS) -mno-cygwin -lcomctl32
R_win: $(QCC_OBJS) $(COMMON_OBJS) $(WIN32GUI_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.exe -O3 -s $(QCC_OBJS) $(COMMON_OBJS) $(WIN32GUI_OBJS) -mwindows -lcomctl32

win_nocyg:
	$(MAKE) USEGUI_CFLAGS="-DUSEGUI -DQCCONLY" R_win_nocyg
nocyg:
	$(MAKE) USEGUI_CFLAGS="-DUSEGUI -DQCCONLY" R_nocyg
win:
	$(MAKE) USEGUI_CFLAGS="-DUSEGUI -DQCCONLY" R_win

R_qcc: $(QCC_OBJS) $(COMMON_OBJS) $(TUI_OBJS)
	$(CC) $(BASE_CFLAGS) -o fteqcc.bin -O3 -s $(QCC_OBJS) $(TUI_OBJS) $(COMMON_OBJS)
qcc:
	$(MAKE) USEGUI_CFLAGS="" R_qcc

qccmain.o: qccmain.c qcc.h
	$(DO_CC)

qcc_cmdlib.o: qcc_cmdlib.c qcc.h
	$(DO_CC)

qcc_pr_comp.o: qcc_pr_comp.c qcc.h
	$(DO_CC)

qcc_pr_lex.o: qcc_pr_lex.c qcc.h
	$(DO_CC)

comprout.o: comprout.c qcc.h
	$(DO_CC)

hash.o: hash.c qcc.h
	$(DO_CC)

qcd_main.o: qcd_main.c qcc.h
	$(DO_CC)

qccguistuff.o: qccguistuff.c qcc.h
	$(DO_CC)

qcc_gtk.o: qcc_gtk.c qcc.h
	$(DO_CC) `pkg-config --cflags gtk+-2.0`

R_gtkgui: $(QCC_OBJS) $(COMMON_OBJS) $(GTKGUI_OBJS)
	$(CC) $(BASE_CFLAGS) $(USEGUI_CFLAGS) -o fteqccgui.bin -O3 $(GTKGUI_OBJS) $(QCC_OBJS) $(COMMON_OBJS) `pkg-config --libs gtk+-2.0`
gtkgui:
	$(MAKE) USEGUI_CFLAGS="-DUSEGUI -DQCCONLY" R_gtkgui

clean:
	$(RM) fteqcc.bin fteqcc.exe $(QCC_OBJS) $(COMMON_OBJS) $(VM_OBJS) $(GTKGUI_OBJS) $(WIN32GUI_OBJS) $(TUI_OBJS)

qcvm.so: $(QCC_OBJS) $(VM_OBJS) $(COMMON_OBJS)
	$(CC) $(BASE_CFLAGS) -o $@ -O3 -s $(QCC_OBJS) $(VM_OBJS) $(COMMON_OBJS) -shared


test.o: test.c
	$(DO_CC)

testapp.bin: qcvm.so test.o
	$(CC) $(BASE_CFLAGS) -o testapp.bin -O3 -s qcvm.so test.o

regressiontest: testapp.bin
	./testapp.bin regression.dat -srcfile regression.src

=== debian/changelog ===
fteqcc (3343+svn3400-7) unstable; urgency=medium

  * Team upload
  * d/rules: Continue to build using C17 standard with GNU extensions.
    This older codebase is not compatible with gcc-15's default C23 standards
    compliance making true and false into keywords, and switching to C23
    bool risks subtle ABI issues. This package is only minimally maintained
    for the benefit of nexuiz-data, so take the conservative approach of
    returning to gcc-14's default, C17. (Closes: #1096662)
  * d/copyright: Don't quote the FSF's former postal address here
  * d/salsa-ci.yml: Use recommended recipe
  * d/salsa-ci.yml: Disable redundant build jobs.
    There is no Architecture: all in this source package, so the default
    build job is equivalent to requesting only Architecture: any, and
    the Architecture: all job won't do anything.

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Sep 2025 12:33:21 +0100

fteqcc (3343+svn3400-6) unstable; urgency=medium

  * Team upload
  * d/p/Make-function-pointer-types-consistent-with-the-implement.patch:
    Add patch to fix FTBFS with gcc 14 (Closes: #1074971)
  * d/rules: Append CPPFLAGS to CFLAGS.
    The upstream build system doesn't use CPPFLAGS.
  * d/rules: Also append dpkg-buildflags LDFLAGS to BASE_CFLAGS.
    This works around the upstream Makefile not passing either LDFLAGS
    or CFLAGS to linker invocations.
  * d/salsa-ci.yml: Activate Salsa-CI

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Aug 2024 10:53:03 +0100

fteqcc (3343+svn3400-5) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip.
    In addition to cross compilation, this also fixes
    DEB_BUILD_OPTIONS=nostrip and generation of -dbgsym packages.
    (Closes: #968524)

  [ Reiner Herrmann ]
  * Update and fix watch file

  [ Simon McVittie ]
  * d/p/Wasn-t-prototyped-apparently.patch,
    d/p/Add-missing-prototype-for-QCC_PR_CheckImmediate.patch:
    Add patches from upstream git to fix implicit function declarations
    (Closes: #1066606)
  * d/p/patch-to-use-extern-properly.-divVerent-neededed-it-so-we.patch:
    Use upstream's commit to solve most of #957237
  * d/p/Avoid-multiple-definitions-of-some-global-variables.patch:
    Use a smaller patch to solve the rest of #957237
  * d/control: Use recommended debhelper compat level 13

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Jun 2024 14:32:17 +0100

fteqcc (3343+svn3400-4) unstable; urgency=medium

  * Team upload
  * d/control: Update Vcs-Git, Vcs-Browser for migration to salsa.d.o
  * Add a patch to fix the build with -fno-common (gcc 10)
    (Closes: #957237)
  * d/control, d/changelog: Trim trailing whitespace
  * Use debhelper-compat 12
  * Set Rules-Requires-Root to no
  * d/copyright: Convert to machine-readable format
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Aug 2020 11:15:41 +0100

fteqcc (3343+svn3400-3) unstable; urgency=low

  * Use debhelper 8 to build the source package
    * Bump build-dependency to debhelper (>= 8)
    * Drop build-dependency on cdbs
    * Rewrite debian/rules
    * Bump debian/compat to 8

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 25 Mar 2011 18:51:37 +0100

fteqcc (3343+svn3400-2) unstable; urgency=low

  * Update standards version to 3.9.1 without changes
  * Convert to source format 3.0 (quilt)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 20:46:56 -0400

fteqcc (3343+svn3400-1) unstable; urgency=low

  * Package a newer upstream snapshot which is necessary to build
    nexuiz-data 2.5.2
  * Bump standards version to 3.8.3. No changes were necessary
  * Add code snippet from our policy to debian/rules, so we can build fteqcc
    in parallel with -j=N

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 16 Oct 2009 15:44:13 +0200

fteqcc (3343+svn3223-1) unstable; urgency=low

  * Fteqcc is now maintained by the Debian Games Team with permission from
    David Moreno
  * New Subversion snapshot (Closes: #534329)
    * This snapshot includes mandatory fixes to build nexuiz-data >= 2.5.1
  * Update debian/copyright to reflect the real source of the download (SVN)
  * Update to debian standards version 3.8.2. No changes were necessary
  * Bump debhelper compatibility version to 5. Thanks to lintian!
    * Bump versioned build dependency on debhelper to version 5
  * Add debian/git-fteqcc-orig.sh to generate .orig.tar.gz's from the upstreams
    subversion repository

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 13 Aug 2009 14:28:41 +0200

fteqcc (3343-2) unstable; urgency=low

  * Stripping binary (Closes: #436876).
  * Added misc depends
  * Updated Standars-Version to 3.8.0
  * Hijacking package after last upstream release.

 -- David Moreno <damog@debian.org>  Fri, 12 Dec 2008 14:16:42 -0500

fteqcc (3343-1) unstable; urgency=low

  * New upstream release (Closes: #469170).

 -- David Moreno Garza <damog@debian.org>  Sat, 08 Mar 2008 11:53:27 -0500

fteqcc (2666-1) unstable; urgency=low

  * New upstream release

  * debian/control: update Standards-Version to 3.7.2 without changes,
    updated my E-Mail address

  * debian/patches: deleted, no longer necessary

  * debian/rules: clean "fteqcc.bin" and install "fteqcc.bin", this is
    what upstream's build system outputs now instead of "fteqcc".

  * debian/watch: added

  * debian/copyright: update FSF address

 -- René van Bevern <rvb@debian.org>  Sat,  1 Jul 2006 20:38:27 +0200

fteqcc (2352-1) unstable; urgency=low

  * Initial release. (Closes: #315653)

 -- David Moreno Garza <damog@debian.org>  Fri, 24 Jun 2005 19:59:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: http://fteqw.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND = \
	-std=gnu17 \
	$(NULL)

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)" BASE_CFLAGS+="$(LDFLAGS)"

override_dh_auto_install:
	mkdir -p debian/fteqcc/usr/bin
	install fteqcc.bin debian/fteqcc/usr/bin/fteqcc

override_dh_auto_clean:
	rm -f *.o fteqcc.bin fteqcc.log

override_dh_auto_test:
	# Do nothing. This is intentional, as the test binaries require external
	# sources.

=== debian/watch ===
version=4
opts="mode=svn, uversionmangle=s/0\.0~svn(\d+)/$1+svn$1/" \
https://svn.code.sf.net/p/fteqw/code/trunk HEAD
